#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 crypto-api-tests
version:              0.3
visibility:           public
id:                   crypto-api-tests-0.3-I0Xvmlhx2BDDa2yUgR7gvE
key:                  crypto-api-tests-0.3-I0Xvmlhx2BDDa2yUgR7gvE
license:              BSD-3-Clause
copyright:            Thomas DuBuisson <thomas.dubuisson@gmail.com>
maintainer:           Thomas DuBuisson <thomas.dubuisson@gmail.com>
author:               Thomas DuBuisson <thomas.dubuisson@gmail.com>
stability:            stable
homepage:             http://trac.haskell.org/crypto-api/wiki
synopsis:             A test framework and KATs for cryptographic operations.
description:
    A test framework for hash and cipher operations using
    the crypto-api interface.  Known answer tests (KATs)
    for common cryptographic algorithms are included.
    Patches welcome (both adding KATs for more algorithms
    or property tests for classes of algorithms).

category:             Data, Cryptography
abi:                  9149bfc07ad6b0749f5b06a710fea84b
exposed:              True
exposed-modules:
    Test.AES Test.Crypto Test.HMAC Test.MD5 Test.ParseNistKATs Test.SHA
    Test.TwoFish

hidden-modules:       Paths_crypto_api_tests
import-dirs:          /usr/lib/ghc-9.0.2/site-local/crypto-api-tests-0.3
library-dirs:         /usr/lib/ghc-9.0.2/site-local/crypto-api-tests-0.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-crypto-api-tests
hs-libraries:         HScrypto-api-tests-0.3-I0Xvmlhx2BDDa2yUgR7gvE
depends:
    HUnit-1.6.2.0-27H1uGAvNhf3XwNqk0T4b4
    QuickCheck-2.14.2-7guLpRHd3ylH0mq22c2g84 base-4.15.1.0
    bytestring-0.10.12.1 cereal-0.5.8.3-KCibhvvTsuv86wVgcPkD6
    crypto-api-0.13.3-H2rQjLwJg166An3m7THxYG directory-1.3.6.2
    filepath-1.4.2.1 test-framework-0.8.2.0-8TvTcVYgXdS1ii0bQe0bx5
    test-framework-hunit-0.3.0.2-CSf6OmnvjK7EvfuZ5LnRGy
    test-framework-quickcheck2-0.3.0.5-Jyy8aSBmtNcJxXm92supU3

haddock-interfaces:
    /usr/share/doc/haskell-crypto-api-tests/html/crypto-api-tests.haddock

haddock-html:         /usr/share/doc/haskell-crypto-api-tests/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

